<?php


namespace AutoAdmin\Bundle\Content\Entity\Interfaces;

use Symfony\Component\Validator\Context\ExecutionContextInterface;

interface CacheRuleInterface
{
    public function validate(ExecutionContextInterface $context, $payload): void;

    public function isExcluded(): bool;

    public function setIsExcluded(bool $isExcluded): self;

    public function getPattern(): ?string;

    public function setPattern(string $pattern): self;

    public function isExactMatch(): bool;

    public function setExactMatch(bool $exactMatch): self;
}